summaryrefslogtreecommitdiff
path: root/bin/mystatus
diff options
context:
space:
mode:
Diffstat (limited to 'bin/mystatus')
-rwxr-xr-xbin/mystatus9
1 files changed, 9 insertions, 0 deletions
diff --git a/bin/mystatus b/bin/mystatus
new file mode 100755
index 0000000..b26e9b6
--- /dev/null
+++ b/bin/mystatus
@@ -0,0 +1,9 @@
+#!/bin/sh
+# shell script to prepend i3status with more stuff
+
+i3status | while :
+do
+ read line
+ nmails=$(find $HOME/.mail -path '*/new/*' -type f | wc -l)
+ echo "Email: ${nmails} | $line" || exit 1
+done